Package Gnumed :: Package timelinelib :: Package calendar :: Package gregorian :: Module timetype :: Class StripDecade |
[frames] | no frames]

# Class StripDecade

source code

                        object --+
                                 |
    canvas.drawing.interface.Strip --+
                                     |
                                    StripDecade

Year Name | Year integer | Decade name ----------+--------------+------------ .. | .. | 20 BC | -19 | 20s BC (10 years) ----------+--------------+------------ 19 BC | -18 | 18 BC | -17 | 17 BC | -16 | 16 BC | -15 | 15 BC | -14 | 10s BC (10 years) 14 BC | -13 | 13 BC | -12 | 12 BC | -11 | 11 BC | -10 | 10 BC | -9 | ----------+--------------+------------ 9 BC | -8 | 8 BC | -7 | 7 BC | -6 | 6 BC | -5 | 5 BC | -4 | 0s BC (only 9 years) 4 BC | -3 | 3 BC | -2 | 2 BC | -1 | 1 BC | 0 | ----------+--------------+------------ 1 | 1 | 2 | 2 | 3 | 3 | 4 | 4 | 5 | 5 | 0s (only 9 years) 6 | 6 | 7 | 7 | 8 | 8 | 9 | 9 | ----------+--------------+------------ 10 | 10 | 11 | 11 | 12 | 12 | 13 | 13 | 14 | 14 | 15 | 15 | 10s (10 years) 16 | 16 | 17 | 17 | 18 | 18 | 19 | 19 | ----------+--------------+------------ 20 | 20 | 20s (10 years) .. | .. |

Instance Methods
__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code
label(self, time, major=False) Return the label for this strip at the given time when used as major or minor strip. | source code
start(self, time) Return the start time for this strip and the given time. | source code
increment(self, time) Increment the given time so that it points to the start of the next strip. | source code
set_skip_s_in_decade_text(self, value) | source code
Inherited from `canvas.drawing.interface.Strip`: `is_day` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### label(self, time, major=False) | source code
Return the label for this strip at the given time when used as major or minor strip. Overrides: canvas.drawing.interface.Strip.label (inherited documentation)

### start(self, time) | source code
Return the start time for this strip and the given time. For example, if the time is 2008-08-31 and the strip is month, the start would be 2008-08-01. Overrides: canvas.drawing.interface.Strip.start (inherited documentation)

### increment(self, time) | source code
Increment the given time so that it points to the start of the next strip. Overrides: canvas.drawing.interface.Strip.increment (inherited documentation)